ext4: BUG: unable to handle kernel NULL pointer dereference at 000000e5

Bug #1053019 reported by C de-Avillez on 2012-09-19
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Herton R. Krzesinski
Quantal
Medium
Herton R. Krzesinski

Bug Description

See https://jenkins.qa.ubuntu.com/view/LTS%20HWE/job/sru_kernel-quantal_lts_hwe-generic_i386_pae-intel_64-mga_g200ew/14/console for the Jenkins run. The run stalled on xfstests.234.ext4, on an umount.

I was unable to run 'ubuntu-bug' on the system until I power-cycled it. The kernel bug is:

Sep 18 23:13:42 phact kernel: [ 3605.387848] BUG: unable to handle kernel NULL pointer dereference at 000000e5
Sep 18 23:13:42 phact kernel: [ 3605.388315] IP: [<c12d905f>] strchr+0xf/0x30
Sep 18 23:13:42 phact kernel: [ 3605.388602] *pdpt = 000000003181a001 *pde = 0000000000000000
Sep 18 23:13:42 phact kernel: [ 3605.388998] Oops: 0000 [#1] SMP
Sep 18 23:13:42 phact kernel: [ 3605.389212] Modules linked in: quota_v2 quota_tree btrfs zlib_deflate libcrc32c xfs ext2 dm_multipath scsi_dh vesafb coretemp kvm microcode dcdbas joydev hid_generic lpc_ich mac_hid lp parport usbhid hid bnx2 mpt2sas scsi_transport_sas raid_class [last unloaded: signpost]
Sep 18 23:13:42 phact kernel: [ 3605.390758]
Sep 18 23:13:42 phact kernel: [ 3605.390836] Pid: 8411, comm: setquota Tainted: G O 3.5.0-15-generic #20~precise1-Ubuntu Dell Inc. PowerEdge R210 II/09T7VV
Sep 18 23:13:42 phact kernel: [ 3605.391531] EIP: 0060:[<c12d905f>] EFLAGS: 00210246 CPU: 1
Sep 18 23:13:42 phact kernel: [ 3605.391834] EIP is at strchr+0xf/0x30
Sep 18 23:13:42 phact kernel: [ 3605.392036] EAX: 00003d3d EBX: c1603bf0 ECX: 00280000 EDX: 0000003d
Sep 18 23:13:42 phact kernel: [ 3605.392386] ESI: 000000e5 EDI: 00380800 EBP: ecc13eac ESP: ecc13ea8
Sep 18 23:13:42 phact kernel: [ 3605.392737] DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
Sep 18 23:13:42 phact kernel: [ 3605.393039] CR0: 8005003b CR2: 000000e5 CR3: 3166a000 CR4: 000407f0
Sep 18 23:13:42 phact kernel: [ 3605.393391] DR0: 00000000 DR1: 00000000 DR2: 00000000 DR3: 00000000
Sep 18 23:13:42 phact kernel: [ 3605.393742] DR6: ffff0ff0 DR7: 00000400
Sep 18 23:13:42 phact kernel: [ 3605.393958] Process setquota (pid: 8411, ti=ecc12000 task=ed091960 task.ti=ecc12000)
Sep 18 23:13:42 phact kernel: [ 3605.394393] Stack:
Sep 18 23:13:42 phact kernel: [ 3605.394503] 0000002d ecc13ef4 c11e8057 ece6d3c0 c17b8949 0000002c 00000000 00000034
Sep 18 23:13:42 phact kernel: [ 3605.394993] 0000002c d49e1400 f1fb9800 8c02c010 f1fbf800 00000000 2cbbae58 ece6d3c0
Sep 18 23:13:42 phact kernel: [ 3605.403764] f1fbf800 ece6d3c0 00000000 ecc13efc c11e85e2 ecc13f1c c1189e66 f2bbae50
Sep 18 23:13:42 phact kernel: [ 3605.421633] Call Trace:
Sep 18 23:13:42 phact kernel: [ 3605.430386] [<c11e8057>] _ext4_show_options+0xf7/0x670
Sep 18 23:13:42 phact kernel: [ 3605.439156] [<c11e85e2>] ext4_show_options+0x12/0x20
Sep 18 23:13:42 phact kernel: [ 3605.447677] [<c1189e66>] show_vfsmnt+0xc6/0x110
Sep 18 23:13:42 phact kernel: [ 3605.456318] [<c116ca70>] m_show+0x10/0x20
Sep 18 23:13:42 phact kernel: [ 3605.464733] [<c11709e3>] seq_read+0x203/0x380
Sep 18 23:13:42 phact kernel: [ 3605.473227] [<c115343c>] vfs_read+0x8c/0x160
Sep 18 23:13:42 phact kernel: [ 3605.481228] [<c11707e0>] ? seq_lseek+0x170/0x170
Sep 18 23:13:42 phact kernel: [ 3605.489125] [<c115354d>] sys_read+0x3d/0x70
Sep 18 23:13:42 phact kernel: [ 3605.496576] [<c15e755f>] sysenter_do_call+0x12/0x28
Sep 18 23:13:42 phact kernel: [ 3605.504169] Code: 19 c0 0c 01 8b 75 f8 8b 7d fc 89 ec 5d c3 8d b4 26 00 00 00 00 8d bc 27 00 00 00 00 55 89 e5 56 66 66 66 66 90 89 c6 89 d0 88 c4 <ac> 38 e0 74 09 84 c0 75 f7 be 01 00 00 00 89 f0 48 5e 5d c3 8d
Sep 18 23:13:42 phact kernel: [ 3605.527947] EIP: [<c12d905f>] strchr+0xf/0x30 SS:ESP 0068:ecc13ea8
Sep 18 23:13:42 phact kernel: [ 3605.535883] CR2: 00000000000000e5
Sep 18 23:13:42 phact kernel: [ 3605.555841] ---[ end trace de4301ed8838c116 ]---

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: linux-image-3.5.0-15-generic 3.5.0-15.20~precise1
ProcVersionSignature: Ubuntu 3.5.0-15.20~precise1-generic 3.5.4
Uname: Linux 3.5.0-15-generic i686
AlsaDevices:
 total 0
 crw-rw---T 1 root audio 116, 1 Sep 19 13:26 seq
 crw-rw---T 1 root audio 116, 33 Sep 19 13:26 timer
AplayDevices: Error: [Errno 2] No such file or directory
ApportVersion: 2.0.1-0ubuntu13
Architecture: i386
ArecordDevices: Error: [Errno 2] No such file or directory
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
CRDA: Error: [Errno 2] No such file or directory
CurrentDmesg:

Date: Wed Sep 19 13:29:13 2012
HibernationDevice: RESUME=UUID=2054f6b9-f094-4fde-b32e-b13c3ce1f007
IwConfig: Error: [Errno 2] No such file or directory
MachineType: Dell Inc. PowerEdge R210 II
PciMultimedia:

ProcFB: 0 VESA VGA
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-15-generic root=UUID=c03ed83d-7ec2-4636-a39a-68c689687721 ro quiet
RelatedPackageVersions:
 linux-restricted-modules-3.5.0-15-generic N/A
 linux-backports-modules-3.5.0-15-generic N/A
 linux-firmware 1.79.1
RfKill: Error: [Errno 2] No such file or directory
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 05/06/2011
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 1.1.1
dmi.board.name: 09T7VV
dmi.board.vendor: Dell Inc.
dmi.board.version: A01
dmi.chassis.type: 23
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvr1.1.1:bd05/06/2011:svnDellInc.:pnPowerEdgeR210II:pvr:rvnDellInc.:rn09T7VV:rvrA01:cvnDellInc.:ct23:cvr:
dmi.product.name: PowerEdge R210 II
dmi.sys.vendor: Dell Inc.

C de-Avillez (hggdh2) wrote :
Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: kernel-da-key
Brad Figg (brad-figg) on 2012-09-19
Changed in linux (Ubuntu):
status: New → Confirmed
tags: added: quantal
Herton R. Krzesinski (herton) wrote :

I believe this patch will fix the problem. I submitted it upstream some minutes ago. The crash in the oops seems to be the issue in token2str.

Changed in linux (Ubuntu):
assignee: nobody → Herton R. Krzesinski (herton)
status: Confirmed → In Progress
tags: added: patch
Tim Gardner (timg-tpi) on 2012-09-26
Changed in linux (Ubuntu Quantal):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.5.0-16.24

---------------
linux (3.5.0-16.24) quantal-proposed; urgency=low

  [ Andy Whitcroft ]

  * SAUCE: ata_piix: add a disable_driver option
    - LP: #994870

  [ Christian König ]

  * (pre-stable) drm/radeon: make 64bit fences more robust v3 (3.5 stable)
    - LP: #1029582

  [ David Henningsson ]

  * SAUCE: ALSA: hda - use both input paths on Conexant auto parser
    - LP: #1037642
  * SAUCE: ALSA: hda - fix control names for multiple speaker out on
    IDT/STAC
    - LP: #1046734

  [ Herton Ronaldo Krzesinski ]

  * SAUCE: ALSA: hda/via - don't report presence on HPs with no presence
    support
    - LP: #1052499
  * SAUCE: ext4: fix crash when accessing /proc/mounts concurrently
    - LP: #1053019
  * SAUCE: ALSA: hda/realtek - Fix detection of ALC271X codec
    - LP: #1006690

  [ Kyle Fazzari ]

  * SAUCE: input: Cypress PS/2 Trackpad fix disabling tap-to-click
    - LP: #1048816

  [ Leann Ogasawara ]

  * [Config] Disable CONFIG_DRM_AST
    - LP: #1053290

  [ Stefan Bader ]

  * [Config] Disable the Cirrus QEMU drm driver
    - LP: #1038055

  [ Upstream Kernel Changes ]

  * Revert "KVM: VMX: Fix KVM_SET_SREGS with big real mode segments"
    - LP: #1045027
  * x86, efi: Handover Protocol
  * drm/i915: HDMI - Clear Audio Enable bit for Hot Plug
    - LP: #1056729
  * UBUNTU SAUCE: apparmor: fix IRQ stack overflow
    - LP: #1056078
  * drm/nouveau: fix booting with plymouth + dumb support
    - LP: #1043518
  * ALSA: hda - Add DeviceID for Haswell HDA
    - LP: #1057698
  * ALSA: hda - add Haswell HDMI codec id
    - LP: #1057698
  * ALSA: hda - Fix driver type of Haswell controller to AZX_DRIVER_SCH
    - LP: #1057698
  * ALSA: hda_intel: Add Device IDs for Intel Lynx Point-LP PCH
    - LP: #1011438, #1057698

  [ Wang Xingchao ]

  * SAUCE: ALSA: hda - Add another pci id for Haswell board
    - LP: #1057698

  [ Wen-chien Jesse Sung ]

  * SAUCE: drm/i915: Explicitly disable RC6 for certain models
    - LP: #1002170, #1008867
 -- Leann Ogasawara <email address hidden> Thu, 27 Sep 2012 13:55:52 -0700

Changed in linux (Ubuntu Quantal):
status: Fix Committed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers